Bug 113747 - /var/lock/subsys/irqbalance (possibly) improperly handled
/var/lock/subsys/irqbalance (possibly) improperly handled
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 20:07 EST by cg
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 17:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cg 2004-01-16 20:07:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
/var/lock/subsys/irqbalance is not created by the init script, so it
is never stopped but is always spawned, resulting in multiple
instances.  eg:  'telinit 1; telinit 5'.  you now have two.

the script doesn't create the lockfile when *not* in 'oneshot' mode,
which i believe is incorrect.  irregardless, the handling is such that
multiple instances are created...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. telinit 1
2. telinit 5
3.
    

Actual Results:  multiple instances of irqbalance

Expected Results:  /var/lock/subsys/irqbalance should be created when
not in 'oneshot' mode so that /etc/rc.d/rc will actually do a
'/etc/init.d/irqbalance stop' (rather than ignoring it and continuing)

Additional info:
Comment 1 Christopher McCrory 2004-07-18 15:07:42 EDT
Yea, this is annoying

patch:

--- irqbalance.orig     2004-07-18 12:05:55.000000000 -0700
+++ irqbalance  2004-07-18 12:06:02.000000000 -0700
@@ -47,7 +47,7 @@
         daemon irqbalance $ONESHOT
         RETVAL=$?
         echo
-        [ $RETVAL -eq 0 -a -n "$ONESHOT" ] && touch
/var/lock/subsys/irqbalance
+        [ $RETVAL -eq 0 -a -z "$ONESHOT" ] && touch
/var/lock/subsys/irqbalance        return $RETVAL
 }
  




-z string
              True if the length of string is zero.
-n string
       string True if the length of string is non-zero.



aim for U3 ?

Comment 2 Jarod Wilson 2007-08-22 17:31:49 EDT
With RHEL3 in critical-bugfix-only maintenance mode, there will be no further
major updates, so this bug is a WONTFIX.
Comment 3 Christopher McCrory 2007-08-23 18:26:07 EDT
(In reply to comment #2)
> With RHEL3 in critical-bugfix-only maintenance mode, there will be no further
> major updates, so this bug is a WONTFIX.

? ? ? 

after three and a half years and seven updates, no-one can make a one character
change?

? ? ? 


Comment 4 Jarod Wilson 2007-08-23 22:08:58 EDT
Unfortunately, sometimes things slip through the cracks. For three and a half years... :\

All I can say is we're working on doing better going forward, and we did manage to fix it for RHEL4 and 5.

Note You need to log in before you can comment on or make changes to this bug.